Package com.xebialabs.xlrelease.domain

# Class RoleIdExtension

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.ReleaseExtension
com.xebialabs.xlrelease.domain.RoleIdExtension

All Implemented Interfaces:
  `ConfigurationItem`, `VisitableItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(versioned=false) public class RoleIdExtension extends ReleaseExtension

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ROLE_IDS_METADATA_PREFIX`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RoleIdExtension()`
  `RoleIdExtension(String ciId, Map<String,String> idsToRoleName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object thatObject)`
  `Map<String,String>`
  `getIdsToRoleName()`
  `int`
  `hashCode()`
  `void`
  `setIdsToRoleName(Map<String,String> idsToRoleName)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.ReleaseExtension

  `accept, getVariableUsages`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ROLE_IDS_METADATA_PREFIX

    public static final String ROLE_IDS_METADATA_PREFIX
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RoleIdExtension

    public RoleIdExtension()

  - ### RoleIdExtension

    public RoleIdExtension(String ciId, Map<String,String> idsToRoleName)

- ## Method Details

  - ### getIdsToRoleName

    public Map<String,String> getIdsToRoleName()

  - ### setIdsToRoleName

    public void setIdsToRoleName(Map<String,String> idsToRoleName)

  - ### equals

    public boolean equals(Object thatObject)
    Overrides:
      `equals` in class `BaseConfigurationItem`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `BaseConfigurationItem`